%define module	Object-InsideOut
%define name	perl-%{module}
%define version 1.49
%define release %mkrel 1

Name:		    %{name}
Version:	    %{version}
Release:	    %{release}
Summary:	    Comprehensive inside-out object support perl module
License:	    GPL or Artistic
Group:		    Development/Perl
Url:		    http://search.cpan.org/dist/%{module}/
Source:		    http://www.cpan.org/modules/by-module/Object/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(attributes)
BuildRequires:	perl(Exception::Class)
BuildArch:	    noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This module provides comprehensive support for implementing classes using the
inside-out object model.

Using inside-out object model, objects are not a blessed hash reference, but
merely a blessed scalar. The foobar attribute, instead of being accessed via
$self->{foobar}, is accessed using a package lexical variable @foobar (common
for every object of the class) via $foobar[$$self]. 

Advantages of this OO scheme are:
1 - speed
2 - encapsulation
3 - compilation-time checks

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Object
%{_mandir}/man3/*

%changelog

* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.49-1mdv2007.0
- New version 1.49

* Fri Aug 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.48-1mdv2007.0
- New version 1.48

* Fri Jun 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.45-1mdv2007.0
- New version 1.45

* Mon Jun 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.44-1mdv2007.0
- New version 1.44

* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.42-1mdv2007.0
- New release 1.42
- spec cleanup

* Tue May 02 2006 Michael Scherer <misc@mandriva.org> 1.41-2mdk
- BuildRequires fix
- enhances description, thanks to jq

* Mon May 01 2006 Michael Scherer <misc@mandriva.org> 1.41-1mdk
- First Mandriva package, fix #22223
